Author Topic: Axe Parser Compatible with 84+ Keypad?  (Read 2116 times)

0 Members and 1 Guest are viewing this topic.

Offline Toothless the Dragon

  • LV1 Newcomer (Next: 20)
  • *
  • Posts: 6
  • Rating: +0/-0
    • View Profile
Axe Parser Compatible with 84+ Keypad?
« on: April 29, 2015, 12:54:14 am »
Hiya everyone!

Just as the title says, is Axe compatible with the Nspire TI-84+ keypad? Whenever I try running it, it gives me a strange, slightly-inverted in color "ERR: BREAK" screen, and the entire calculator freezes until given a hard reset.

Do you guys know of a fix hopefully? I have the most updated OS, 2.56MP.

Offline ben_g

  • Hey cool I can set a custom title now :)
  • LV9 Veteran (Next: 1337)
  • *********
  • Posts: 1002
  • Rating: +125/-4
  • Asm noob
    • View Profile
    • Our programmer's team: GameCommandoSquad
Re: Axe Parser Compatible with 84+ Keypad?
« Reply #1 on: April 29, 2015, 12:00:37 pm »
I have no idea if this applies to the nspire, but do you use a dumped ROM or a generated one? Iirc axe in it's current version avoids using undocumented instructions to keep it compatible with the monochrome nspires. But at least on computer emulators, it doesn't work well with a generated ROM.
My projects
 - The Lost Survivors (Unreal Engine) ACTIVE [GameCommandoSquad main project]
 - Oxo, with single-calc multiplayer and AI (axe) RELEASED (screenshot) (topic)
 - An android version of oxo (java)  ACTIVE
 - A 3D collision detection library (axe) RELEASED! (topic)(screenshot)(more recent screenshot)(screenshot of it being used in a tilemapper)
Spoiler For inactive:
- A first person shooter with a polygon-based 3d engine. (z80, will probably be recoded in axe using GLib) ON HOLD (screenshot)
 - A java MORPG. (pc) DEEP COMA(read more)(screenshot)
 - a minecraft game in axe DEAD (source code available)
 - a 3D racing game (axe) ON HOLD (outdated screenshot of asm version)

This signature was last updated on 20/04/2015 and may be outdated

Offline Ivoah

  • LV6 Super Member (Next: 500)
  • ******
  • Posts: 336
  • Rating: +3/-0
    • View Profile
    • Codinghobbit
Re: Axe Parser Compatible with 84+ Keypad?
« Reply #2 on: April 29, 2015, 01:59:21 pm »
I have no idea if this applies to the nspire, but do you use a dumped ROM or a generated one? Iirc axe in it's current version avoids using undocumented instructions to keep it compatible with the monochrome nspires. But at least on computer emulators, it doesn't work well with a generated ROM.

It does not apply to the Nspire with 84+ keypad, it has a built-in emulator.
http://codinghobbit.no-ip.org
My Calcs:
TI-86 (now broken) $2
TI SR-56 - $0
TI-Nspire CX CAS - $152
TI-84+ Silver Edition - $56
TI-84+ Silver Edition - $0
TI-85 - $0
TI-73 Explorer VS - $10
ViewScreen - $3

Offline Toothless the Dragon

  • LV1 Newcomer (Next: 20)
  • *
  • Posts: 6
  • Rating: +0/-0
    • View Profile
Re: Axe Parser Compatible with 84+ Keypad?
« Reply #3 on: April 30, 2015, 12:48:08 am »
I have no idea if this applies to the nspire, but do you use a dumped ROM or a generated one? Iirc axe in it's current version avoids using undocumented instructions to keep it compatible with the monochrome nspires. But at least on computer emulators, it doesn't work well with a generated ROM.

It does not apply to the Nspire with 84+ keypad, it has a built-in emulator.

Yup yup, it's built-in. It is the monochrome one just to clarify, and I did try a hard reset and wiped everything on the calc before installing, I still get the same error.

Offline Runer112

  • Project Author
  • LV11 Super Veteran (Next: 3000)
  • ***********
  • Posts: 2289
  • Rating: +639/-31
    • View Profile
Re: Axe Parser Compatible with 84+ Keypad?
« Reply #4 on: April 30, 2015, 08:43:26 am »
I know one of the goals of Axe was to be compatible with the Nspire 84+ emulator. However, I think the compatibility for the app itself may have been lost at some point, and only the compatibility of compiled programs retained. My best guess would be the 1.0.0 release is that point, as that's when Axe started using a flash unlock exploit and writing data to flash, and I wouldn't be surprised if these aren't emulated properly.

Does anyone have experiene with using past versions of Axe on their Nspire 84+ emulator, or would anyone be willing to take some time and pinpoint the version that broke compatibility? If my guess isn't correct and it wasn't in fact the 1.0.0 release, it may be something that's reasonably fixable.